<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:15 PST 2005 -->
<TITLE>
: Uses of Interface org.eclipse.wst.rdb.internal.models.sql.expressions.ValueExpression
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ValueExpression.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>org.eclipse.wst.rdb.internal.models.sql.expressions.ValueExpression</B></H2>
</CENTER>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.expressions"><B>org.eclipse.wst.rdb.internal.models.sql.expressions</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.expressions.impl"><B>org.eclipse.wst.rdb.internal.models.sql.expressions.impl</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.expressions.util"><B>org.eclipse.wst.rdb.internal.models.sql.expressions.util</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.tables"><B>org.eclipse.wst.rdb.internal.models.sql.tables</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.tables.impl"><B>org.eclipse.wst.rdb.internal.models.sql.tables.impl</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.expressions"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A> in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.expressions</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Subinterfaces of <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A> in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.expressions</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpressionDefault.html">ValueExpressionDefault</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Value Expression Default</b></em>'.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.expressions.impl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A> in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.expressions.impl</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Classes in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.expressions.impl</A> that implement <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/ValueExpressionDefaultImpl.html">ValueExpressionDefaultImpl</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 An implementation of the model object '<em><b>Value Expression Default</b></em>'.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.expressions.util"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A> in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/util/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.expressions.util</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/util/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.expressions.util</A> with parameters of type <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B>SQLExpressionsSwitch.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/util/SQLExpressionsSwitch.html#caseValueExpression(org.eclipse.wst.rdb.internal.models.sql.expressions.ValueExpression)">caseValueExpression</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Value Expression</em>'.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.tables"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A> in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.tables</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.tables</A> that return <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A></CODE></FONT></TD>
<TD><CODE><B>Column.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Column.html#getGenerateExpression()">getGenerateExpression</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Generate Expression</b></em>' reference.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.tables</A> with parameters of type <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Column.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Column.html#setGenerateExpression(org.eclipse.wst.rdb.internal.models.sql.expressions.ValueExpression)">setGenerateExpression</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Column.html#getGenerateExpression()"><CODE><em>Generate Expression</em></CODE></A>' reference.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.tables.impl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A> in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/impl/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.tables.impl</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/impl/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.tables.impl</A> that return <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A></CODE></FONT></TD>
<TD><CODE><B>ColumnImpl.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/impl/ColumnImpl.html#getGenerateExpression()">getGenerateExpression</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A></CODE></FONT></TD>
<TD><CODE><B>ColumnImpl.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/impl/ColumnImpl.html#basicGetGenerateExpression()">basicGetGenerateExpression</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/impl/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.tables.impl</A> with parameters of type <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ColumnImpl.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/impl/ColumnImpl.html#setGenerateExpression(org.eclipse.wst.rdb.internal.models.sql.expressions.ValueExpression)">setGenerateExpression</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html">ValueExpression</A>&nbsp;newGenerateExpression)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ValueExpression.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
